DeliveryByAmazon V2022_07_01

class sp_api.api.DeliveryByAmazonV20220701(marketplace: ~sp_api.base.marketplaces.Marketplaces = Marketplaces.US, *, refresh_token=None, account='default', credentials=None, restricted_data_token=None, proxies=None, verify=True, timeout=None, version=None, credential_providers=None, auth_token_client_class=<class 'sp_api.auth.access_token_client.AccessTokenClient'>)

DeliveryByAmazon SP-API Client :link:

The Selling Partner API for Delivery Shipment Invoicing helps you programmatically retrieve shipment invoice information in the Brazil marketplace for a selling partner’s orders.

submit_invoice(self, **kwargs) ApiResponse

Submits a shipment invoice for a given order or shipment. You must specify either an orderId or shipmentId as query parameter. If both parameters are supplied, orderId takes precedence over shipmentId.

Usage Plan:

Rate (requests per second)

Burst

1.133

25

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

DeliveryByAmazonV20220701().submit_invoice()
Parameters:
  • orderId (key) – object | The identifier for the order.

  • shipmentId (key) – object | The identifier for the shipment.

  • body – SubmitInvoiceRequest | required The request body that specifies invoice, program and marketplace values.

Returns:

ApiResponse

get_invoice_status(self, **kwargs) ApiResponse

Returns the invoice status for the order or shipment you specify. You must specify either an orderId or shipmentId as query parameter. If both parameters are supplied, orderId takes precedence over shipmentId.

Usage Plan:

Rate (requests per second)

Burst

1.133

25

For more information, see “Usage Plans and Rate Limits” in the Selling Partner API documentation.

Examples

literal blocks:

DeliveryByAmazonV20220701().get_invoice_status()
Parameters:
  • orderId (key) – object | The order identifier.

  • shipmentId (key) – object | The shipment identifier.

  • marketplaceId (key) – object | required The marketplace identifier.

  • invoiceType (key) – object | required The invoice’s type.

  • programType (key) – object | required The Amazon program that seller is currently enrolled.

Returns:

ApiResponse